/**************************************************************************************************
 * Private header file for the Keyboard driver.
 *
 * Freescale Semiconductor Inc.
 * (c) Copyright 2004-2012 Freescale Semiconductor, Inc.
 * ALL RIGHTS RESERVED.
 *
***************************************************************************************************
 *
 * THIS SOFTWARE IS PROVIDED BY FREESCALE "AS IS" AND ANY EXPRESSED OR 
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
 * IN NO EVENT SHALL FREESCALE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
 * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
 * THE POSSIBILITY OF SUCH DAMAGE.
 *
***********************************************************************************************//*!
**************************************************************************************************/

#ifndef KEYBOARD_H_
#define KEYBOARD_H_

/************************************************************************************
*************************************************************************************
* Includes
*************************************************************************************
************************************************************************************/

#include "Keyboard_interface.h"

/************************************************************************************
*************************************************************************************
* Private type definitions
*************************************************************************************
************************************************************************************/

/************************************************************************************
*************************************************************************************
* Private memory declarations
*************************************************************************************
************************************************************************************/

/************************************************************************************
*************************************************************************************
* Private macros
*************************************************************************************
************************************************************************************/  

/******************************************************************************
 * NAME: gKeyboardxControl_ClearRegister_c
 * DESCRIPTION: Macro used to clear the gKeyboard_Keyboard1PinCtrlReg_c register
 *****************************************************************************/
#define gKeyboardxControl_ClearRegister_c (0x00)
                           
/******************************************************************************
 * NAME: gKeyboard_Keyboard1IrqNo
 * DESCRIPTION: Keyboard1 (PORT A) interrupt number
 * VALID VALUES: refer to L2K manual
 *****************************************************************************/

#define gKeyboard_Keyboard1IrqNo_c         (30)

/******************************************************************************
 * NAME: gKeyboard_Keyboard2IrqNo
 * DESCRIPTION: Keyboard2 (PORT D) interrupt number
 * VALID VALUES: refer to L2K manual
 *****************************************************************************/

//#define gKeyboard_Keyboard2IrqNo_c         (31)                              
   
/******************************************************************************
 * NAME: gKeyboard_Keyboard3n4IrqNo
 * DESCRIPTION: Keyboard2 (PORT D) interrupt number
 * VALID VALUES: refer to L2K manual
 *****************************************************************************/

#define gKeyboard_Keyboard3n4IrqNo_c         (31)                               

/************************************************************************************
*************************************************************************************
* Private prototypes
*************************************************************************************
************************************************************************************/


/*************************************************************************************************/

/************************************************************************************
*************************************************************************************
* Public macros
*************************************************************************************
************************************************************************************/

/************************************************************************************
*************************************************************************************
* Public prototypes
*************************************************************************************
************************************************************************************/

/************************************************************************************
*************************************************************************************
* Public type definitions
*************************************************************************************
************************************************************************************/

/************************************************************************************
*************************************************************************************
* Public memory declarations
*************************************************************************************
************************************************************************************/


/*************************************************************************************************/

#endif /* KEYBOARD_H_ */
